Subject: SBIR contact
From: [email-masked] (tf7)
Date: 26 Jul 1994 18:07:35 -0000
Newsgroups: alt.sustainable.agriculture

Does anyone have a  good contact with the SBIR program(Small Business
Innovative Research Program) . I have two limited resource  farmers who
 need some financial assistance to develop some new ag-related technologies.
Please forward information to my attention or call me at (410) 848-4611.
Thanks for your cooperation.